Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractParentChildNode

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractParentChildNode

All Implemented Interfaces:
  Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, EventTarget, Node

Direct Known Subclasses:
  AbstractElement, AbstractEntityReference

    public abstract class AbstractParentChildNode

extends AbstractParentNode

This class implements the `Node` interface with support for children, parent and siblings.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected Node` | `nextSibling` Returns the next sibling.
`protected Node` | `parentNode` The parent node of this node.
`protected Node` | `previousSibling` The previous sibling.

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractParentChildNode()`

Method Summary
`Node` | `getNextSibling()` DOM: Implements `Node.getNextSibling()`.
`Node` | `getParentNode()` DOM: Implements `Node.getParentNode()`.
`Node` | `getPreviousSibling()` DOM: Implements `Node.getPreviousSibling()`.
`void` | `setNextSibling(Node v)` Sets the node immediately following this node.
`void` | `setParentNode(Node v)` Sets the parent node.
`void` | `setPreviousSibling(Node v)` Sets the node immediately preceding this node.

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, deepCopyInto, deepExport, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getTextContent, hasChildNodes, insertBefore, nodeAdded, nodeToBeRemoved, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, checkChildType, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, copyInto, createDOMException, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getCurrentDocument, getEventSupport, getFeature, getLocalName, getManagerData, getNamespaceURI, getNodeValue, getOwnerDocument, getParentNodeEventTarget, getPrefix, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasEventListenerNS, initializeEventSupport, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, newNode, removeEventListener, removeEventListenerNS, setManagerData, setNodeName, setNodeValue, setOwnerDocument, setPrefix, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Methods inherited from interface org.w3c.dom.Node
`getNodeName, getNodeType`

Field Detail

### parentNode

    protected Node parentNode

  The parent node of this node.

### previousSibling

    protected Node previousSibling

  The previous sibling.

### nextSibling

    protected Node nextSibling

  Returns the next sibling.

Constructor Detail

### AbstractParentChildNode

    public AbstractParentChildNode()

Method Detail

### getParentNode

    public Node getParentNode()

  DOM: Implements `Node.getParentNode()`.

  Specified by:
    `getParentNode` in interface `Node`
  Overrides:
    `getParentNode` in class `AbstractNode`
  Returns:
    `parentNode`

### setParentNode

    public void setParentNode(Node v)

  Sets the parent node.

  Specified by:
    `setParentNode` in interface `ExtendedNode`
  Overrides:
    `setParentNode` in class `AbstractNode`

### setPreviousSibling

    public void setPreviousSibling(Node v)

  Sets the node immediately preceding this node.

  Specified by:
    `setPreviousSibling` in interface `ExtendedNode`
  Overrides:
    `setPreviousSibling` in class `AbstractNode`

### getPreviousSibling

    public Node getPreviousSibling()

  DOM: Implements `Node.getPreviousSibling()`.

  Specified by:
    `getPreviousSibling` in interface `Node`
  Overrides:
    `getPreviousSibling` in class `AbstractNode`
  Returns:
    `previousSibling`.

### setNextSibling

    public void setNextSibling(Node v)

  Sets the node immediately following this node.

  Specified by:
    `setNextSibling` in interface `ExtendedNode`
  Overrides:
    `setNextSibling` in class `AbstractNode`

### getNextSibling

    public Node getNextSibling()

  DOM: Implements `Node.getNextSibling()`.

  Specified by:
    `getNextSibling` in interface `Node`
  Overrides:
    `getNextSibling` in class `AbstractNode`
  Returns:
    `nextSibling`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.